For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get

Retrieve a list of your embeds

Parameters:

Name

Optional / Required

Data type

Description

Default

offset

optional

Integer

Retrieve rows at position X (min. 0)

0

limit

optional

Integer

Retrieve X rows (min. 0 and max. 100)

10

sort

optional

String

Sort results ascending or descendening (asc or desc)

desc

return_fields

optional

String

Customize the responses by setting the return fields ('id', 'user_id', 'document_id', 'type', 'create_date', 'code', 'settings')

'id', 'user_id', 'document_id', 'type', 'create_date', 'code', 'settings'

Demo

URL Find your token on - yumpu.com Token

Optional parameters:

offset limit sort return_fields

Add optional parametersRun request

Example:

curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/embeds.json?offset=0&limit=5&sort=desc&return_fields=id,code"

Example:

require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'limit' => 2,
    'offset' => 0,
    'sort' => 'desc',
    'return_fields' => 'id,code'
);
$listEmbeds = $yumpu->getEmbeds($data);
print_r($listEmbeds);

Example:

var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  offset: 0,
  limit: 2,
  sort: 'desc',
  return_fields: 'id,code'
};
yumpu.getEmbeds(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});

Example:

Whatever language you are using, the result will be the same.

Last updated